com.sap.conn.jco

## Enum JCoUnitIdentifier.Type

- java.lang.Object
- - java.lang.Enum<JCoUnitIdentifier.Type>
  - - com.sap.conn.jco.JCoUnitIdentifier.Type

- All Implemented Interfaces:
    Serializable, Comparable<JCoUnitIdentifier.Type>
  Enclosing interface:
    JCoUnitIdentifier

      public static enum JCoUnitIdentifier.Type
      extends Enum<JCoUnitIdentifier.Type>

  BgRFC unit types. The following types are available:
  - TYPE_T - exactly once
  - TYPE_Q - exactly once in order

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_Q` bgRFC unit is of type 'Q', exactly once behavior in order (EOIO), comparable to former qRFC
    `TYPE_T` bgRFC unit is of type 'T', exactly once behavior (EO), comparable to former tRFC

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCoUnitIdentifier.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCoUnitIdentifier.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_T

          public static final JCoUnitIdentifier.Type TYPE_T

      bgRFC unit is of type 'T', exactly once behavior (EO), comparable to former tRFC

    - #### TYPE_Q

          public static final JCoUnitIdentifier.Type TYPE_Q

      bgRFC unit is of type 'Q', exactly once behavior in order (EOIO), comparable to former qRFC

  - ### Method Detail

    - #### values

          public static JCoUnitIdentifier.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCoUnitIdentifier.Type c : JCoUnitIdentifier.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCoUnitIdentifier.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 SAP. All Rights Reserved.